import matplotlib.pyplot as plt
from database import DataBaseLoad
import processing
import os


# 1) Connect to the database
mydb_filename = os.path.abspath('../database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image
rowid = 5000
my_scene = processing.scene(mydb, rowid=rowid)
my_contrast = processing.michelson_contrast(my_scene)

f, axarr = plt.subplots(2, 2, figsize=(15, 8))
axarr = axarr.flatten()
for chan_i, chan_n in enumerate(mydb.channels):
    ax = axarr[chan_i]
    ax.imshow(my_contrast[:, :, chan_i, 0])
    ax.set_title('channel: ' + chan_n)
    ax.invert_yaxis()

f.show()
