import numpy as np
import matplotlib.pyplot as plt
from database import DataBaseLoad
import os


# 1) Connect to the database
mydb_filename = os.path.abspath('../database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image
rowid = 1000
# 3) Load the image
image = mydb.read_image(rowid=rowid)
# 4) plot the image
to_plot_im = image[:, :, :3]
to_plot_im -= to_plot_im.min()
to_plot_im /= to_plot_im.max()
to_plot_im = to_plot_im * 255
to_plot_im = to_plot_im.astype(np.uint8)
to_plot_dist = image[:, :, 3]

plt.subplot(1, 2, 1)
plt.imshow(to_plot_im)
plt.gca().invert_yaxis()

plt.subplot(1, 2, 2)
plt.imshow(to_plot_dist)
plt.gca().invert_yaxis()

plt.show()
